Skip to content
GBG Documents & Biometrics Documentation

/ProofOfAddress

POST
/ProofOfAddress
curl --request POST \
--url https://verification-v2-eu.core.idscan.cloud/ProofOfAddress \
--header 'Content-Type: multipart/form-data' \
--form DocumentImage=@file \
--form CountryCode=example \
--form TenantName=example \
--form 'AdditionalDetails={ "additionalProperty": "example" }'

Get the verification response of the Proof of Address A4 processed document.

IDscan Core Document Verification Service endpoint allows a Proof of Address A4 document to be uploaded (Please reach out to your support representative for the “IDscan Core Authentication Guide”). The document details will be extracted.

  • None
x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
DocumentImage

A4 Document Image to be verified. (White image in normal light).

string format: binary
CountryCode

Accepts first 3 letters of the country code. Eg:- GBR

string
/^[A-Za-z]{3}$/
TenantName

Accepts any valid string for the tenant configuration.

string
AdditionalDetails

Pass any additional details, if required.

object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the submitted address identity document/s.This code does not indicate a success on the validation of the document itself but rather a success on the call to the Endpoint.The document result is in the response body (See Response Body section below).

Verification response after verifying the Proof of Address A4 document.

object
correlationId
string
nullable
extractedFields

Extracted fields from query document like first name, last name, birth date etc.

Array<object>
nullable

Represents an information element that is extracted or deducted from the document.

object
label

Extracted field name which is used to identify the field.

string
nullable
details

Field information about each source where the fields was located (viz, mrz, barcode).

Array<object>
nullable

Field information about each source where the fields was located (viz, mrz, barcode).

object
label

Extracted field name which is used to identify the field.

string
nullable
source

Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).

string
nullable
value

Extracted field string value.

string
nullable
isNonLatin

Sets to true if the value is in Non Latin language, false otherwise.

boolean
regionOfInterest

Area of the document where the validation check was applied.

object
boundingBox

Surrounding box around the extracted field.

object
x

X coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
y

Y coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
width

Represents the width of the bounding box.

integer format: int32
height

Represents the height of the bounding box.

integer format: int32
side

Document side where the validation check was applied.

string
nullable
spectrum

Image type where the validation check was applied.

string
nullable
additionalDetails

Contains any additional details.

object
key
additional properties
string
nullable
classificationInfo

Represents the document classification results.

object
isDocumentClassified

Has the document been classified or not.

boolean
isIcao

Gets whether the recognised document is ICAO compliant.

boolean
id

Document type identifier.

string
nullable
name

Returns document name which is a friendly name that represents the issuer and type or subtype of the document(e.g. ‘United Kingdom Provisional Driving License’).

string
nullable
category

Returns the document type high level category (e.g. ‘Identification Card’ which covers both National and Foreigner Identification Cards types). This is the top level of document type hierarchy

string
nullable
subtype

Returns the document subtype. Subtype is the third level of document type hierarchy and it identities the document more specifically and usually differs from one issuer to another(E.g. ‘Full Driving Licence’, ‘Provisional Driving Licence’, ‘Probationary Driving Licence’ etc.).

string
nullable
year

Returns the identifying year of issue or a proprietary code representation this issue is known with.

string
nullable
type

Document type, second level of type hierarchy used for distinguishing document types.

string
nullable
side

Returns document side (E.g. Front, Back).

string
nullable
countryCode

Returns document issuing country code. This field uses standard three letter ISO 3166-1 country codes(e.g. ‘GBR’ for United Kingdom).

string
nullable
countryName

Returns document issuing country name (E.g. United Kingdom).

string
nullable
stateCode

Returns document issuing state code as it is recognized in the issuing country.This field should always be used along with issuing_country_code field. (e.g ‘WA’ for either Western Australia in Australia or Washington in United States of America).

string
nullable
stateName

Returns document issuing state name (E.g. Washington).

string
nullable
extractedImage

Base64 encoded image of the extracted document.

string format: byte
nullable

Error with the provided parameters, please, check the response provided to get more insights on the problem.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

A downstream service is temporarily out of capacity, please, retry later.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable